import qbs 1.0
import qbs.FileInfo

Project {
    CppApplication {
        name: "tool"
        type: "application"
        consoleApplication: true
        files: "tool.c"

    }

    Application {
        type: "application" // To suppress bundle generation on Mac

        Depends { name: "tool" }
        Depends { name: "cpp" }

        consoleApplication: true
        files: "main.c"

        //cpp.includePaths: [product.buildDirectory + "/tool/"]

        Group {
            files: "header.h.in"
            fileTags: ["h_in"]
        }
        Rule {
            inputs: [ "h_in" ]
            usings: ["application"]
            Artifact {
                fileName: product.buildDirectory + "/tool/" + FileInfo.baseName(input.fileName) + ".h"
                fileTags: ["hpp"]
            }
            prepare: {
                var cmd = new Command(inputs.application[0].filePath, [inputs.h_in[0].filePath, output.filePath]);
                cmd.description = "Generate " + output.filePath;
                cmd.highlight = "codegen";
                return [cmd];
            }
        }
    }
}
